Subject: Re: bug#53024: 29.0.50; Wishlist: Byte-compile loaddefs.el?

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 05 Aug 2022 13:51:45 +0200

Eli Zaretskii <[email-masked]> writes:

> Shouldn't the build re-generate loaddefs.el early on?  I thought you
> recently made it an order-only prerequisite?  So why doesn't it get
> re-generated before running the built binary for the first time?

Hm...  $(pdmp) depends on loaddefs.elc, and that existed in this case,
but not loaddefs.el.  But perhaps it should depend on both?  That should
have fixed this issue...

I've now done so.